Deployments (Deprecated)

Deprecated
post

DEPRECATED: Use POST /api/v1/env/create instead. Create a new deployment or start run for existing deployment (legacy deployment endpoint).

🔒 Requires the create:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
deploymentSlugstringRequired

The deployment slug for creating or targeting existing deployment

blueprintstringOptional

The blueprint/package name, e.g. @bluebricks/postgres

versionstringOptional

The package version e.g. 1.2.3

Example: 1.2.3
deployTypestring · enumOptional

Controls how the deployment is executed. autoApply automatically applies changes without manual approval; autoApprove skips approval and pending; validateOnly validates the deployment without executing; planOnly generates a plan without executing; driftDetection runs only configuration-drift detection; draft creates the deployment record without starting any activity. deployType can't be used together with deprecated flags: force, planOnly, validateOnly, noActivity and driftDetection.

Example: autoApprovePossible values:
forcebooleanOptional

Use deployType='autoApprove' instead

validateOnlybooleanOptional

Use deployType='validateOnly' instead

Default: false
planOnlybooleanOptional

Use deployType='planOnly' instead

Default: false
incrementalbooleanOptional

Enable incremental mode to skip deployments with no changes

Default: false
noActivitybooleanOptional

Use deployType='draft' instead

Default: false
driftDetectionbooleanOptional

Use deployType='driftDetection' instead

Default: false
isDriftDetectionEnabledbooleanOptional

Enable drift detection for the deployment

Default: false
envstringOptional

Use collection instead. Target environment for deployment

collectionstringOptional

Target collection for deployment

Responses
chevron-right
200

Created deployment and task details or validation result

application/json

Created deployment and task details or validation result

or
post
/api/v1/deployment/create
get

Return deployment information

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdOrSlugstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

Query parameters
parse_typestring · enumOptional

The parsing type to fetch e.g. state

Default: planPossible values:
Responses
chevron-right
200

Deployment details

application/json

Deployment details

or
get
/api/v1/deployment/{deploymentIdOrSlug}
get

Return deployment properties

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdOrSlugstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

Responses
chevron-right
200

Deployment props

application/json

Deployment props

activity_idstringRequired
slugone ofRequired
nullOptional
or
stringOptional

The environment's slug e.g. my-environment

updatedstringRequired
packagestringRequired
versionstringRequired
envstringRequired
collectionstringRequired
get
/api/v1/deployment/{deploymentIdOrSlug}/props
get

Return deployment image

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Query parameters
formatstring · enumOptional

Image format

Default: pngPossible values:
Responses
chevron-right
200

Deployment image

image/png
string · binaryOptional

Deployment image, describing the deployment

get
/api/v1/deployment/{deploymentId}/image
post

Approve deployment plan

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Responses
chevron-right
200

Deployment approval details

application/json

Deployment approval details

deploymentstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

parentstring · nullableRequired
typestring · enumRequiredPossible values:
stagestring · enumRequired

The deployment stage e.g. pending

Possible values:
post
/api/v1/deployment/{deploymentId}/approve
get

Get a deployment plan

🔒 Requires the read:deployment-plan permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Query parameters
formatstring · enumOptional

Plan format

Default: jsonPossible values:
Responses
chevron-right
200

Plan downloaded successfully

string · binaryOptional

Deployment plan file in JSON format

get
/api/v1/deployment/{deploymentId}/plan
post

Parse a deployment plan

🔒 Requires the read:deployment-plan permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
plan_filestring · binaryRequired

A plan file

Example: plan_file=@path/to/tfplan.json
Responses
chevron-right
200

Plan generated successfully

application/json

Plan generated successfully

namestringRequired
deploymentstring · uuidRequired

Unique id assigned to plan file for client-side storage

post
/api/v1/deployment/plan
get

Get a deployment state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Responses
chevron-right
200

State retrieved successfully

application/json
string · binaryOptional

Deployment state file in JSON format

get
/api/v1/deployment/{deploymentId}/state
Deprecated
get

DEPRECATED: Use GET /api/v1/env/:environmentIdOrSlug/states instead. Get deployment states information (legacy deployment endpoint).

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdOrSlugstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

Responses
chevron-right
200

List of deployment states with metadata

application/json

List of deployment states with metadata

state_idstringRequired

The unique identifier of the state

Example: 123e4567-e89b-12d3-a456-426614174000
package_idstringRequired

The unique identifier of the package

Example: terraform_aws_secretsmanager
hierarchical_pathstring · nullableOptional

The hierarchical path of the package in the deployment

Example: root.terraform_aws_secretsmanager
statusstring · enumRequired

The current status of the deployment state. Returns "n/a" when metadata is not available

Example: livePossible values:
run_idstring · nullableRequired

ID of the latest run that created/updated the state. Returns "n/a" when metadata is not available

Example: run-abc123
lockedbooleanRequired

Whether the state is currently locked

Example: false
created_atstring · nullableRequired

When the state was first created. Returns "n/a" when metadata is not available

Example: 2025-10-10T12:34:56.123Z
updated_atstring · nullableRequired

When the state was last updated

Example: 2025-10-12T08:20:00.456Z
get
/api/v1/deployment/{deploymentIdOrSlug}/states
put

Set deployment alias

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
outputIdstring · uuidRequired

The deployment output's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Body
aliasstringRequired

The deployment output alias e.g. my_output

Example: my-my_output
Responses
chevron-right
200

Deployment alias updated successfully

application/json

Deployment alias updated successfully

idstring · uuidRequired

The deployment output's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

aliasstringRequired

The deployment output alias e.g. my_output

Example: my-my_output
put
/api/v1/deployment/outputs/{outputId}/set-alias
get

Return deployment manifest

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdOrSlugstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

Responses
chevron-right
200

Deployment manifest in YAML format

application/yaml
stringOptional

YAML manifest for the deployment

get
/api/v1/deployment/{deploymentIdOrSlug}/manifest
delete

Delete a deployment activity

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
runIdstring · uuidRequired

The deployment run ID to delete

Responses
chevron-right
200

Deployment activity deleted successfully

application/json

Deployment activity deleted successfully

messagestringRequired

Success message

delete
/api/v1/deployment/activity/{runId}
delete

Delete a deployment activity

🔒 Requires the update:environment permission

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
runIdstring · uuidRequired

The deployment run ID to delete

Responses
chevron-right
200

Deployment activity deleted successfully

application/json

Deployment activity deleted successfully

messagestringRequired

Success message

delete
/api/v1/deployment/run/{runId}
get

Return deployments information by collection

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
environmentIdstring · uuidOptionalDeprecated

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Example: f27d96be-c486-4075-a926-0ee96775119e
collectionIdstring · uuidOptional

The collection's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Example: f27d96be-c486-4075-a926-0ee96775119e
querystringOptional
sortstring · enumOptional

Specifies the attribute by which the returned list should be sorted ' + 'e.g. name

Default: timestampPossible values:
typeone ofOptional

Specifies the type of deployments list to be returned. Note: runs and activities return the same data for backward compatibility.

Default: runs
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use /api/v1/envs endpoint instead. This type is maintained for backward compatibility.

Possible values:
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

limitnumber · min: 3 · max: 1000Optional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

expandbooleanOptional

If true, return detailed graph information. If false, return basic information

latestbooleanOptional

If true, return unique latest deployments only

searchstringOptional

Enables searching within the list for deployments names that match a particular query e.g. my_app

archivedbooleanOptional

Also includes archived props

outdatedbooleanOptional

If true, return only deployments with outdated package versions (only applicable when type=deployments)

Responses
chevron-right
200

Paginated information of filtered deployments for a collection

application/json

Paginated information of filtered deployments for a collection

totalnumberRequired
has_outdatedbooleanOptional

Indicates if any outdated deployments exist (only returned when type=deployments)

statsone ofRequired
or
listone ofRequired
or
get
/api/v1/deployments
get

Return deployments filters

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
typestring · enumOptional

Will return a specific list with type of available filters if provided, otherwise returns all results

Possible values:
archivedbooleanOptional

If true, shows only archived deployments. if false, shows only non-archived deployments

Default: false
slugstringOptional

Filter by deployment slug

Responses
chevron-right
200

Deployments filters

application/json

Deployments filters

get
/api/v1/deployments/filters
get

Return list of deployment outputs

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sortstring · enumOptional

Specifies the attribute by which the returned list should be sorted ' + 'e.g. key

Default: updatedPossible values:
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

limitnumber · min: 3 · max: 1000Optional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

searchstringOptional

Enables searching within the list for deployment outputs key that match a particular query e.g. my_output

include_metadatabooleanOptional

If true, includes metadata with all package IDs from the filtered outputs. If false or omitted, metadata will not be included.

Default: false
environmentstringOptionalDeprecated

DEPRECATED: Use collection instead. Filter deployments by environment slug in filters

collectionstringOptional

Filter deployments by collection slug in filters

Responses
chevron-right
200

Paginated information of filtered deployment outputs

application/json

Paginated information of filtered deployment outputs

totalnumberRequired
get
/api/v1/deployments/outputs
post

Get deployments plans

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
deploymentsstring · uuid[]Required

List of deployment IDs, e.g. ["123e4567-e89b-12d3-a456-426614174000", "456e4567-e89b-12d3-a456-426614174000"]

Example: ["123e4567-e89b-12d3-a456-426614174000","456e4567-e89b-12d3-a456-426614174000"]
Responses
chevron-right
200

Plans downloaded successfully

text/markdown
string · binaryOptional

Deployments plans file in Markdown format

post
/api/v1/deployments/plans
post

Approve multiple deployments

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring · uuid[]
string · uuid[]Optional

List of deployment IDs, e.g. ["123e4567-e89b-12d3-a456-426614174000", "456e4567-e89b-12d3-a456-426614174000"]

Example: ["123e4567-e89b-12d3-a456-426614174000","456e4567-e89b-12d3-a456-426614174000"]
Responses
chevron-right
200

Deployment approval details

application/json

Deployment approval details

deploymentstring · uuidRequired
parentstring · nullableRequired
typestring · enumRequiredPossible values:
stagestring · enumRequired

The deployment stage e.g. pending

Possible values:
post
/api/v1/deployments/approve
post

Cancel multiple deployments

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring · uuid[]
string · uuid[]Optional

List of deployment IDs, e.g. ["123e4567-e89b-12d3-a456-426614174000", "456e4567-e89b-12d3-a456-426614174000"]

Example: ["123e4567-e89b-12d3-a456-426614174000","456e4567-e89b-12d3-a456-426614174000"]
Responses
chevron-right
200

Deployment canceled successfully

application/json

Deployment canceled successfully

deploymentstring · uuidRequired
parentstring · nullableRequired
typestring · enumRequiredPossible values:
stagestring · enumRequiredPossible values:
post
/api/v1/deployments/cancel
Deprecated
post

DEPRECATED: Use POST /api/v1/envs/archive instead. Archive multiple deployments (legacy deployment endpoint).

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring[]
string[]Optional

List of deployment slugs, e.g. ["test-deployment", "my-deployment"]

Example: ["test-deployment","my-deployment"]
Responses
chevron-right
200

Deployment archived / unarchived successfully

application/json

Deployment archived / unarchived successfully

deploymentstringRequired

The deployment's slug e.g. my-deployment

archivedbooleanRequired

Updated archived status

post
/api/v1/deployments/archive
Deprecated
post

DEPRECATED: Use POST /api/v1/envs/unarchive instead. Unarchive multiple deployments (legacy deployment endpoint).

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring[]
string[]Optional

List of deployment slugs, e.g. ["test-deployment", "my-deployment"]

Example: ["test-deployment","my-deployment"]
Responses
chevron-right
200

Deployment archived / unarchived successfully

application/json

Deployment archived / unarchived successfully

deploymentstringRequired

The deployment's slug e.g. my-deployment

archivedbooleanRequired

Updated archived status

post
/api/v1/deployments/unarchive
Deprecated
post

DEPRECATED: Use POST /api/v1/envs/enable-drift-detection instead. Enable drift detection for multiple deployments (legacy deployment endpoint).

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring[]
string[]Optional

List of deployment slugs, e.g. ["test-deployment", "my-deployment"]

Example: ["test-deployment","my-deployment"]
Responses
chevron-right
200

Deployment drift detection status updated successfully

application/json

Deployment drift detection status updated successfully

deploymentstringRequired

The deployment's slug e.g. my-deployment

is_drift_detection_enabledbooleanRequired

Updated drift detection status

post
/api/v1/deployments/enable-drift-detection
Deprecated
post

DEPRECATED: Use POST /api/v1/envs/disable-drift-detection instead. Disable drift detection for multiple deployments (legacy deployment endpoint).

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring[]
string[]Optional

List of deployment slugs, e.g. ["test-deployment", "my-deployment"]

Example: ["test-deployment","my-deployment"]
Responses
chevron-right
200

Deployment drift detection status updated successfully

application/json

Deployment drift detection status updated successfully

deploymentstringRequired

The deployment's slug e.g. my-deployment

is_drift_detection_enabledbooleanRequired

Updated drift detection status

post
/api/v1/deployments/disable-drift-detection
Deprecated
post

DEPRECATED: Use POST /api/v1/envs/:environmentIdOrSlug/states instead. Upload state files to deployments (legacy deployment endpoint).

🔒 Requires the create:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deploymentIdOrSlugstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

Body
statesstringRequired

JSON string containing array of state metadata with file references. Each item must have either package_id (for unique packages) or hierarchical_path (for packages that appear at multiple positions in the blueprint tree, e.g., bpA.bpB.mypackageid).

Example: [{"package_id":"terraform_aws_secretsmanager","state_file":"state_1"},{"hierarchical_path":"sub_blueprint.terraform_aws_eks_auto","state_file":"state_2"}]
versionstringOptional

Optional blueprint version to use for resolving the package tree. If not provided, the latest published version is used.

Example: 1.0.0
Other propertiesanyOptional
Responses
chevron-right
200

State upload results

application/json

State upload results

package_idstringRequired

Package identifier

Example: terraform_aws_secretsmanager
hierarchical_pathstringOptional

Full hierarchical path of the package in the blueprint tree (e.g., root.bpA.bpB.mypackageid)

Example: root.terraform_aws_secretsmanager
statusstring · enumRequired

Upload status

Example: successPossible values:
reasonstringOptional

Reason for failure (only present when status is failed)

post
/api/v1/deployments/{deploymentIdOrSlug}/states
post

Get statuses for the requested Deployment IDs

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
deploymentsstring · uuid[]Required

List of deployment IDs, e.g. ["123e4567-e89b-12d3-a456-426614174000", "456e4567-e89b-12d3-a456-426614174000"]

Example: ["123e4567-e89b-12d3-a456-426614174000","456e4567-e89b-12d3-a456-426614174000"]
Responses
chevron-right
200

Deployments status

application/json

Deployments status

deploymentstring · uuidRequired

The deployment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

typestring · enumRequired

The deployment type e.g. blueprint

Possible values:
namestringRequired
versionstringRequired
stagestring · enumRequired

The deployment stage e.g. pending

Possible values:
errorsone ofRequired
nullOptional
or
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updatedstring · nullableRequired

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

completedstring · nullableRequired
post
/api/v1/deployments/status
get

Returns all existing mappings between a hierarchical package path and its state id by specific deployment

🔒 Requires the read:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
rootRunIdstringRequired

Root deployment run ID, e.g. 44cd0bd6-d09b-4924-abfb-12345d111fe7

Responses
chevron-right
200

All the existing for specified deployment state mappings

application/json
anyOptional

All the existing for specified deployment state mappings

Example: {"deploymentId":"25cd0bd6-d09b-4924-abfb-41768d111fe7","mappings":{"root.vpc.subnet-1":"bae58bdb-9924-4831-a341-405313cfca92","root.vpc.subnet-2":"cabf22cf-6a57-47d9-9a11-69ab318d3e08","root.database":"90d8f41b-f886-4b96-b05c-1c7d23bbcff7"}}
get
/api/v1/deployments/{rootRunId}/state
get

Return deployment remote state config

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

The deployment's ID or environment's slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-deployment

packageUniqueIdstringRequired

Unique package ID

Example: package-id-1
Responses
chevron-right
200

Deployment remote state config

application/json

Deployment remote state config

get
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/config
get

Return deployment remote state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID.

packageUniqueIdstringRequired
Query parameters
iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Responses
chevron-right
200

Deployment remote state

application/json

Deployment remote state

Other propertiesanyOptional
get
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/state
post

Set deployment remote state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID.

packageUniqueIdstringRequired
Query parameters
IDstringOptional

Lock ID

iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Body

Remote state

Other propertiesanyOptional
Responses
chevron-right
200

Deployment remote state set successfully

application/json
anyOptional

Deployment remote state set successfully

post
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/state

No content

delete

Delete deployment remote state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID.

packageUniqueIdstringRequired
Query parameters
IDstringOptional

Lock ID

iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Responses
chevron-right
200

Deployment remote state deleted successfully

application/json
anyOptional

Deployment remote state deleted successfully

delete
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/state

No content

post

Lock deployment remote state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID

packageUniqueIdstringRequired
Query parameters
iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Body

Remote state lock details

Other propertiesanyOptional
Responses
chevron-right
200

Deployment remote state locked successfully

application/json

Deployment remote state locked successfully

Other propertiesanyOptional
post
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/lock
lock

Lock deployment remote state

🔒 Requires the update:environment permission

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID

packageUniqueIdstringRequired
Query parameters
iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Body

Remote state lock details

Other propertiesanyOptional
Responses
chevron-right
200

Deployment remote state locked successfully

application/json

Deployment remote state locked successfully

Other propertiesanyOptional
lock
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/lock
delete

Unlock deployment remote state

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID

packageUniqueIdstringRequired
Query parameters
iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Body

Remote state lock details

Other propertiesanyOptional
Responses
chevron-right
200

Deployment remote state unlocked successfully

application/json
anyOptional

Deployment remote state unlocked successfully

delete
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/lock

No content

unlock

Unlock deployment remote state

🔒 Requires the update:environment permission

🔒 Requires the update:environment permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
originDeploymentIdstringRequired

Origin run ID

packageUniqueIdstringRequired
Query parameters
iac_typestring · enumOptional

IaC type of the remote state

Default: terraformPossible values:
Body

Remote state lock details

Other propertiesanyOptional
Responses
chevron-right
200

Deployment remote state unlocked successfully

application/json
anyOptional

Deployment remote state unlocked successfully

unlock
/api/v1/deployments/{originDeploymentId}/{packageUniqueId}/lock

No content

Last updated

Was this helpful?